#ifndef _Handle_PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve_HeaderFile
#define _Handle_PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve);

class Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)(const Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)(const PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)& operator=(const Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve)& operator=(const PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve* operator->() const 
     {
      return (PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
